var Gauge = require('./gauge')
var consoleStrings = require('./console-strings')
var onExit = require('signal-exit')

var gt = new Gauge({
  template: [
    {type: 'progressbar', length: 20},
    {value: 'END', length: 3}
  ],
  theme: Gauge.newTheme({
    progressbarTheme: {
      preComplete: consoleStrings.color('inverse'),
      complete: '•',
      postComplete: consoleStrings.color('stopInverse'),
      remaining: ' ',
    }
  })
})

process.stdout.write(gt.show({completed: 0.05}) + '\n')
process.stdout.write(gt.show({completed: 0.25}) + '\n')
process.stdout.write(gt.show({completed: 0.9}) + '\n')
process.stdout.write(gt.hide())

/*
•         END
•••••           END
••••••••••••••••••  END
•xxxxxxxxxxxxxxxxxxxEND
•••••xxxxxxxxxxxxxxxEND
••••••••••••••••••xxEND
*/